import type { InjectionKey, UnwrapNestedRefs, Ref } from 'vue';
import { inject } from 'vue';
import { UseStepperReturn } from 'senin-mini/hooks';

type PhoneBillRechargeSteps = 'step1' | 'step2';

export interface PhoneBillRechargeContext
  extends UseStepperReturn<
    PhoneBillRechargeSteps,
    PhoneBillRechargeSteps[],
    PhoneBillRechargeSteps
  > {
  //   form: UnwrapNestedRefs<{
  //     ispCode: string;
  //     phone: string;
  //     parValue: number;
  //     name: string;
  //   }>;
}

export const PhoneBillRechargeContextKey: InjectionKey<PhoneBillRechargeContext> = Symbol(
  'PhoneBillRechargeContextKey'
);

export function usePhoneBillRechargeContext() {
  return inject(PhoneBillRechargeContextKey);
}
